#!/bin/sh

MY_DOMAIN=example.com
CERTIFICATE_DIR=/opt/etc/mosquitto/

if [ "${RENEWED_DOMAINS}" = "${MY_DOMAIN}" ]; then
	cp ${RENEWED_LINEAGE}/fullchain.pem ${CERTIFICATE_DIR}/server.crt
	cp ${RENEWED_LINEAGE}/privkey.pem ${CERTIFICATE_DIR}/server.key
	chown mosquitto: ${CERTIFICATE_DIR}/server.crt ${CERTIFICATE_DIR}/server.key
	chmod 0600 ${CERTIFICATE_DIR}/server.crt ${CERTIFICATE_DIR}/server.key
    supervisorctl restart mosquitto
fi
